openQA Project - action #93083

unstable test in os-autoinst master
2021-05-25 12:17 - okurz

Status: Resolved Start date: 2021-05-25
Priority: High Due date: 2021-06-12
Assignee: mkittler % Done: 0%
Category: Concrete Bugs Estimated time: 0.00 hour
Target version: Ready

Difficulty:

Description

Observation

https://github.com/os-autoinst/os-autoinst/runs/2619306122?check_suite_focus=true#step:3:538 shows

6: [10:47:32] ./1l8-backend-gemu.t .......c..ocuiiiuinenenns ok 5026 ms ( 0.00 usr 0.01 sys + 4.
83 cusr 0.20 csys = 5.04 CPU)
6:
6: # Failed test 'execution time of isotovideo (24.3694479465485 s) within reasonable limits
# at ./18-gemu-options.t line 87.
# '24.3694479465485"
# <
# 24"
# Looks like you failed 1 test of 16.

# Failed test 'gemu_append_option'
# at ./18-gemu-options.t line 110.
# Looks like you failed 1 test of 4.
Acceptance criteria

e AC1:https://github.com/os-autoinst/os-autoinst shows passed tests in badge

Suggestions

¢ Bisect if recent changes in os-autoinst have made isotovideo execution slower
¢ Fix problem (or bump timeout)
e Ensure badge on repo is fine after merge

Related issues:
Copied to openQA Project - action #93336: unstable test in os-autoinst master... New

History

#1 - 2021-05-28 13:46 - mKkittler

- Assignee set to mkittler

#2 - 2021-05-28 14:34 - mKkittler

- Status changed from Workable to In Progress

Without coverage the test takes locally 13 seconds to run and with it takes 146 so it is 11.2307692308 times slower with coverage. For the concrete
check of isotovideo's runtime it is 1.50357818603516 s vs. 17.4516468048096 s so the factor is 11.606744 which is even worse than the overall. The
test only scales the isotovideo timeout by a factor of 6 which seems a bit less. I'm changing that to 12. The uncaled timeout of 4 s seems reasonable
so I'm keeping it as-is.

Bisect if recent changes in os-autoinst have made isotovideo execution slower

I've been going back within the history but didn't get different results. Likely isotovideo has not become slower. (I didn't get further than the
introduction of CMake.)
PR: https://github.com/0s-autoinst/os-autoinst/pull/1682

#3 - 2021-05-28 16:02 - okurz

Merged, thx. Your test against the old state in git history is convincing :)

Plans to improve further?

#4 - 2021-05-29 05:54 - openqa_review
- Due date set to 2021-06-12

Setting due date based on mean cycle time of SUSE QE Tools

#5 - 2021-05-31 08:27 - mkittler

- Status changed from In Progress to Resolved

PR has been merged.

| don't know how to improve it further. Trying to fix the underlying problem of slow coverage analysis when forking is likely out of scope here.

#6 - 2021-06-01 09:15 - okurz

- Copied to action #93336: unstable test in os-autoinst master - slow coverage analysis when forking in t/18-backend-gemu.t added
